文档章节

Centos Git1.7.1升级到Git2.2.1

Surjur
 Surjur
发布于 2015/07/28 19:26
字数 159
阅读 616
收藏 2
git

安装需求:

># yum install curl-devel expat-devel gettext-devel openssl-devel zlib-devel asciidoc># yum install  gcc perl-ExtUtils-MakeMaker   
   error: ```/utf8.c:463: undefined reference to `libiconv'```
># wget http://ftp.gnu.org/pub/gnu/libiconv/libiconv-1.14.tar.gz
># tar zxvf libiconv-1.14.tar.gz 
># cd libiconv-1.14
># ./configure --prefix=/usr/local/libiconv
># make && make install

卸载Centos自带的git1.7.1:

通过git –version查看系统带的版本,Cento6.5应该自带的是git版本是1.7.1

># yum remove git

下载git2.2.1并将git添加到环境变量中

># wget https://github.com/git/git/archive/v2.2.1.tar.gz># tar zxvf v2.2.1.tar.gz># cd git-2.2.1># make configure># ./configure --prefix=/usr/local/git --with-iconv=/usr/local/libiconv># make all doc># make install install-doc install-html># echo "export PATH=$PATH:/usr/local/git/bin" >> /etc/bashrc># source /etc/bashrc

查看版本号

># git --version>git version 2.2.1


本文转载自:http://www.tuicool.com/articles/Y3eqIf

共有 人打赏支持
Surjur
粉丝 26
博文 193
码字总数 12053
作品 0
杭州
程序员
私信 提问
error: The requested URL returned error: 401 Unauthorized while accessing h

centos 6.7 当从git@osc中clone时返回如下错误信息: error: The requested URL returned error: 401 Unauthorized while accessing https://git.oschina.net/..... 原因是本机的git版本太低......

Canaan_
2016/03/13
31
0
Git 升级(Centos)

1.卸载Centos自带的git1.7.1: yum remove git 2. 下载git2.2.1并将git添加到环境变量中 ># wget https://github.com/git/git/archive/v2.2.1.tar.gz ># tar zxvf v2.2.1.tar.gz ># cd git-2......

啊莫
2016/05/19
54
0
git

安装需求: yum install curl-devel expat-devel gettext-devel openssl-devel zlib-devel asciidoc yum install gcc perl-ExtUtils-MakeMaker error: wget http://ftp.gnu.org/pub/gnu/libi......

wrxeoi
2016/04/14
2
0
linux+jenkins+tomcat+git 安装过程的的一些小问题

1、安装Jenkins时,java -jar jenkins.war --httpPort=8888,出现Jenkins is fully up and running时,说明Jenkins已经安装成功,但有时候我们却访问不了,是因为没有打开防火墙, 打开防火...

04zhujunjie
2015/12/16
179
0
centos升级git与及通过git通过ssh克隆代码

由于代码管理有svn迁移到了git,在clone代码的时候,由于centos自带的git版本过低,无法拉取代码。因为git的版本太低了(git1.7.1)。所以要升级才能使用: git克隆代码时,如果使用https,以...

xbuding
2016/06/13
142
0

没有更多内容

加载失败,请刷新页面

加载更多

OSChina 周一乱弹 —— 加油,还有11个小时就下班了

Osc乱弹歌单(2019)请戳(这里) 【今日歌曲】 @_全村的希望 :吴亦凡把大碗面正儿八经做成单曲了,你别说,还挺好听 《大碗宽面》- 吴亦凡 手机党少年们想听歌,请使劲儿戳(这里) @tom_t...

小小编辑
37分钟前
112
8
C++ vector和list的区别

1.vector数据结构 vector和数组类似,拥有一段连续的内存空间,并且起始地址不变。 因此能高效的进行随机存取,时间复杂度为o(1); 但因为内存空间是连续的,所以在进行插入和删除操作时,会造...

shzwork
今天
6
0
Spring之invokeBeanFactoryPostProcessors详解

Spring的refresh的invokeBeanFactoryPostProcessors,就是调用所有注册的、原始的BeanFactoryPostProcessor。 相关源码 public static void invokeBeanFactoryPostProcessors(Configu......

cregu
昨天
5
0
ibmcom/db2express-c_docker官方使用文档

(DEPRECIATED) Please check DB2 Developer-C Edition for the replacement. What is IBM DB2 Express-C ? ``IBM DB2 Express-C``` is the no-charge community edition of DB2 server, a si......

BG2KNT
昨天
4
0
Ubuntu 18.04.2 LTS nvidia-docker2 : 依赖: docker-ce (= 5:18.09.0~3-0~ubuntu-bionic)

平台:Ubuntu 18.04.2 LTS nvidia-docker2 版本:2.0.3 错误描述:在安装nvidia-docker2的时候报dpkg依赖错误 nvidia-docker2 : 依赖: docker-ce (= 5:18.09.0~3-0~ubuntu-bionic) 先看一下依......

Pulsar-V
昨天
4
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部